org.jboss.netty.channel

## Interface ServerChannel

- All Superinterfaces:
    Channel, Comparable<Channel>
  All Known Subinterfaces:
    LocalServerChannel, ServerSocketChannel
  All Known Implementing Classes:
    AbstractServerChannel

      public interface ServerChannel
      extends Channel

  A `Channel` that accepts an incoming connection attempt and creates its child `Channel`s by accepting them. `ServerSocketChannel` is a good example.

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.netty.channel.Channel

      `OP_NONE, OP_READ, OP_READ_WRITE, OP_WRITE`

  - ### Method Summary

    - ### Methods inherited from interface org.jboss.netty.channel.Channel

      `bind, close, connect, disconnect, getAttachment, getCloseFuture, getConfig, getFactory, getId, getInterestOps, getLocalAddress, getParent, getPipeline, getRemoteAddress, isBound, isConnected, isOpen, isReadable, isWritable, setAttachment, setInterestOps, setReadable, unbind, write, write`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.